Bug 188596 - up2date hangs getting rpm
Summary: up2date hangs getting rpm
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-11 16:26 UTC by Paul Watson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 16:32:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
up2date log file (245.30 KB, application/octet-stream)
2006-04-11 16:26 UTC, Paul Watson
no flags Details

Description Paul Watson 2006-04-11 16:26:44 UTC
Created attachment 127622 [details]
up2date log file

Comment 1 Paul Watson 2006-04-11 16:26:44 UTC
Description of problem:

    up2date hangs getting an rpm.  Does not always hang on the same one.


Version-Release number of selected component (if applicable):

    Red Hat Update Agent 4.4.23-4

How reproducible:

    Every time now.

Steps to Reproduce:
1.  Run up2date
2.
3.
  
Actual results:

    Hang getting RPM

Expected results:

    Get all updated packages

Additional info:

...
ora/linux/core/4/i386/os/', 'http://ftp.riken.jp/Linux/fedora/core/4/i386/os/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.averse.net/fedora/linux/core/4/i386/os/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/4/i386/os/']
Setting up Package Sacks
Excluding Incompatible Archs
Finished
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
initRepo
initRepo
rpm was unable to load a header
rpm was unable to load a header
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information
initRepo
initRepo
initRepo
An error has occurred:
exceptions.ValueError
See /var/log/up2date for more information
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information

Comment 2 John Thacker 2006-10-29 20:31:20 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 3 John Thacker 2006-11-05 16:32:23 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.